Get profile details

Retrieves full details of a specific player profile

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

GET /profile/{profile_id}

Returns the full configuration of a single profile, including all nested sections.

Response

FieldTypeDescription
iduuidProfile ID
namestringProfile name
pullzone_namestringCDN zone
is_defaultbooleanAccount default flag
isDefaultbooleanSame value, camelCase alias (both are always present)
availableQualitiesstring[] | nullAllowed resolutions with the p suffix. null = no restriction
feature_tagsstring[]Config sections that differ from Panda defaults
created_atdate-timeCreation timestamp
updated_atdate-timeLast modification timestamp
hideControlsOnStartbooleanWhether player controls are hidden on load
controlsstring[]Enabled controls: play-large, rewind, play, fast-forward, progress, current-time, volume, captions, settings, fullscreen, pause, quality
colorsobjectColor config (primaryColor, controlsColor, captionsColor, captionsBackgroundColor, background)
vslobjectVSL / advanced player config (autoplay, muted indicator, progress bar, tracking pixels, etc.)
saveProgressobjectResume playback settings (saveProgress, initQuality, dialog labels, opacity)
generalobjectGeneral display settings
curl -X GET "https://api-v2.pandavideo.com.br/profile/{profile_id}"   -H "Authorization: {api_key}"
{
  "id": "{profile_id}",
  "name": "Default",
  "pullzone_name": "{pullzone}",
  "is_default": true,
  "isDefault": true,
  "availableQualities": null,
  "feature_tags": ["colors", "controls", "saveProgress", "captions", "pip", "videoBehavior", "pixels"],
  "created_at": "2026-09-15T13:50:31.708Z",
  "updated_at": "2026-09-15T13:50:31.708Z",
  "hideControlsOnStart": false,
  "controls": ["play-large", "rewind", "play", "fast-forward", "progress", "current-time", "volume", "captions", "settings", "fullscreen"],
  "colors": {},
  "vsl": {},
  "saveProgress": {},
  "general": {}
}
Path Params
uuid
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json